import { ElementRef, EventEmitter, OnDestroy, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { PlotlyService } from '../plotly.service';
export declare class PlotComponent implements OnInit, OnChanges, OnDestroy {
    plotly: PlotlyService;
    window: Window;
    plotEl: ElementRef;
    data?: Plotly.Data[];
    layout?: Partial<Plotly.Layout>;
    config?: Partial<Plotly.Config>;
    style?: {
        [key: string]: string;
    };
    divId?: string;
    revision: number;
    className?: string;
    debug: boolean;
    useResizeHandler: boolean;
    initialized: EventEmitter<Plotly.Figure>;
    update: EventEmitter<Plotly.Figure>;
    purge: EventEmitter<Plotly.Figure>;
    error: EventEmitter<Error>;
    plotlyInstance: Plotly.PlotlyHTMLElement;
    resizeHandler?: (instance: Plotly.PlotlyHTMLElement) => void;
    constructor(plotly: PlotlyService, window: Window);
    ngOnInit(): void;
    ngOnDestroy(): void;
    createFigure(): Plotly.Figure;
    ngOnChanges(changes: SimpleChanges): void;
    redraw(): void;
    updateWindowResizeHandler(): void;
}
